# RuntimeMemory Class Reference
[Application-wide cache subsystem]

Default process RAM cache. More...

Inheritance diagram for RuntimeMemory:
[legend]

List of all members.

## Public Member Functions

| isAlive ()
| increment ($key, $value)
| decrement ($key, $value)
| get ($key)
| delete ($key)
| clean ()
| append ($key, $data)

## Static Public Member Functions

static | create ()

## Protected Member Functions

| store ($action, $key, $value, $expires=0)

## Private Attributes

| $cache = array()

## Detailed Description

Default process RAM cache.

Definition at line 17 of file RuntimeMemory.class.php.

## Member Function Documentation

RuntimeMemory::append | ( | $ | key,
|  | $ | data |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 78 of file RuntimeMemory.class.php.

RuntimeMemory::clean | ( |  | ) |

Returns:
  RuntimeMemory

Reimplemented from CachePeer.

Definition at line 71 of file RuntimeMemory.class.php.

static RuntimeMemory::create | ( |  | ) | `[static]`

Returns:
  RuntimeMemory

Definition at line 24 of file RuntimeMemory.class.php.

RuntimeMemory::decrement | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 42 of file RuntimeMemory.class.php.

RuntimeMemory::delete | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 58 of file RuntimeMemory.class.php.

RuntimeMemory::get | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 50 of file RuntimeMemory.class.php.

RuntimeMemory::increment | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 34 of file RuntimeMemory.class.php.

RuntimeMemory::isAlive | ( |  | ) |

Reimplemented from CachePeer.

Definition at line 29 of file RuntimeMemory.class.php.

RuntimeMemory::store | ( | $ | action,
|  | $ | key,
|  | $ | value,
|  | $ | expires = `0` |
| ) |  |  | `[protected]`

Reimplemented from CachePeer.

Definition at line 88 of file RuntimeMemory.class.php.

## Member Data Documentation

RuntimeMemory::$cache = array()`[private]`

Definition at line 19 of file RuntimeMemory.class.php.

The documentation for this class was generated from the following file:

- core/Cache/RuntimeMemory.class.php